Subject: Re: [PATCH 0/6] "git repack -a -d" improvements

From: Junio C Hamano <[email-masked]>
Date: Sat, 28 Feb 2009 09:41:14 -0800

Kjetil Barvik <[email-masked]> writes:

>   OK, patch 2/6 failed for me when I was doing 'git am' to import the
>   patch-series, so sorry if do not see all bits of the patch correctly.

Ah, I should have mentioned that the series was meant to apply to v1.6.0.6
(and merged upwards).

I am off to dentist so I won't have time to think about below until I get
back.

>   Would it be an improvment to change the signature of the currently
>   find_sha1_pack() function to:
>
>     struct packed_git *
>     find_pack_entry(const unsigned char *sha1, off_t *sha1_pack_offset,
>                     struct packed_git *packs)
>
>     - The currently existing 'struct pack_entry *e' parameter is only
>       used to retrn the offset, so make it more clear.  The struct
>       pack_entry can probably be deleted from the sha1_file.c file.
>
>     - When the 'git repack -a -d' command is used, one has to compute
>       the list of allowed pack-files to look into, and give this list to
>       find_pack_entry().
>
>     - The currently named find_sha1_pack() function can then be deleted.
>
>     - For example, when this function is now used in sha1_object_info()
>       it can be called like this:
>
>           found_pack = find_pack_entry(sha1, &offset, packed_git);
>
>   -- kjetil